%define oname	terminatorX

Name:		terminatorx
Summary:	Realtime audio synthesizer
Version:	4.2.0
Release:	%mkrel 1
Group:		Sound
License:	GPLv2
Url:		https://terminatorx.org/
Source0:	https://terminatorx.org/dist/terminatorX-%{version}.tar.xz
BuildRequires:	ladspa-devel
BuildRequires:	mpg123
BuildRequires:	sox
BuildRequires:	vorbis-tools
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libcap)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(lrdf)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vorbisfile)
BuildRequires:	pkgconfig(xxf86dga)
BuildRequires:	sd
Requires:	mpg123
Requires:	sox
Requires:	vorbis-tools
Recommends:	ladspa

%description
terminatorX allows “scratching” on digitally sampled audio data (*.wav, *.au,
*.ogg, *.mp3, etc.) the way hiphop-DJs scratch on vinyl records. It features
multiple turntables, realtime effects (buit-in as well as LADSPA plugin
effects), a sequencer and MIDI interface – all accessible through an
easy-to-use gtk+ GUI.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x --disable-scrollkeeper

%make_build

%install
%make_install

sd "Application;AudioVideo;" "X-MandrivaLinux-Multimedia-Sound;" %buildroot/%{_datadir}/applications/terminatorX.desktop

%files
%{_bindir}
%{_datadir}

%changelog
* Fri Dec 02 2022 tex - 4.2.0-1pclos2022
- new version

* Wed Jan 23 2019 tex - 4.0.1-1pclos2019
- new version: 4.0.1
